# Uses of Interface
javax.swing.text.Highlighter.HighlightPainter

Packages that use Highlighter.HighlightPainter
Package
Description
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of Highlighter.HighlightPainter in javax.swing.text

Classes in javax.swing.text that implement Highlighter.HighlightPainter
Modifier and Type
Class
Description
`static class`
`DefaultHighlighter.DefaultHighlightPainter`
Simple highlight painter that fills a highlighted area with a solid color.
`static class`
`LayeredHighlighter.LayerPainter`
Layered highlight renderer.
Methods in javax.swing.text that return Highlighter.HighlightPainter
Modifier and Type
Method
Description
`Highlighter.HighlightPainter`
Highlighter.Highlight.`getPainter()`
Gets the painter for the highlighter.
`protected Highlighter.HighlightPainter`
DefaultCaret.`getSelectionPainter()`
Gets the painter for the Highlighter.
Methods in javax.swing.text with parameters of type Highlighter.HighlightPainter
Modifier and Type
Method
Description
`Object`
DefaultHighlighter.`addHighlight(int p0, int p1, Highlighter.HighlightPainter p)`
Adds a highlight to the view.
`Object`
Highlighter.`addHighlight(int p0, int p1, Highlighter.HighlightPainter p)`
Adds a highlight to the view.